require("fzf-lua").setup({
	keymap = {
		fzf = {
			["alt-k"] = "down",  -- Ctrl + k теперь движется вниз
			["alt-l"] = "up",    -- Ctrl + l теперь движется вверх
			["ctrl-j"] = false,   -- Отключаем Ctrl + J <button class="citation-flag" data-index="8">
		}
	},
	previewers = {
	builtin = {
		extensions = {
			-- Настройка для изображений
			["png"] = "chafa",
			["jpg"] = "chafa",
			["jpeg"] = "chafa",
			["gif"] = "chafa",
			["bmp"] = "chafa",
			["webp"] = "chafa",
			["tiff"] = "chafa",
			-- Добавьте другие форматы по необходимости
			},
		},
	},
})



vim.api.nvim_set_keymap('n', '<leader>o', ':FzfLua files<CR>', { noremap = true, silent = true })
vim.api.nvim_set_keymap('n', '<leader>f', ':FzfLua live_grep<CR>', { noremap = true, silent = true })


